//
//  MessageNunberShowHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/6/4.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "MessageNunberShowHttpPostCmd.h"
#import "MessageNumberShowHttpResult.h"

static NSString *kActionUrl1 = @"/information/queryAll";

@implementation MessageNunberShowHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[MessageNunberShowHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[MessageNumberShowHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}

@end
NSString *const kHttpMessageNunberShowHttpPostCmd_pageNum = @"pageNum";
NSString *const kHttpMessageNunberShowHttpPostCmd_pageSize = @"pageSize";
NSString *const kHttpMessageNunberShowHttpPostCmd_orderby = @"orderby";
NSString *const kHttpMessageNunberShowHttpPostCmd_sort = @"sort";
NSString *const kHttpMessageNunberShowHttpPostCmd_filters = @"filters";
NSString *const kHttpMessageNunberShowHttpPostCmd_key = @"key";
NSString *const kHttpMessageNunberShowHttpPostCmd_value = @"value";
